package shub.dpm.designerscripts;
import anywheresoftware.b4a.objects.TextViewWrapper;
import anywheresoftware.b4a.objects.ImageViewWrapper;
import anywheresoftware.b4a.BA;


public class LS_splash{

public static void LS_320x480_1(java.util.LinkedHashMap<String, anywheresoftware.b4a.keywords.LayoutBuilder.ViewWrapperAndAnchor> views, int width, int height, float scale) {
anywheresoftware.b4a.keywords.LayoutBuilder.setScaleRate(0.3);
views.get("imageview1").vw.setLeft((int)((5d / 100 * width)));
views.get("imageview1").vw.setWidth((int)((90d / 100 * width)));
views.get("imageview1").vw.setHeight((int)((views.get("imageview1").vw.getWidth())));
views.get("label1").vw.setLeft((int)((views.get("imageview1").vw.getLeft())));
views.get("label1").vw.setWidth((int)((views.get("imageview1").vw.getWidth())));
views.get("label1").vw.setTop((int)((views.get("imageview1").vw.getTop())+(views.get("imageview1").vw.getHeight())+(0.5d / 100 * height)));
views.get("label2").vw.setTop((int)((views.get("label1").vw.getTop())+(views.get("label1").vw.getHeight())));
views.get("label2").vw.setWidth((int)((views.get("label1").vw.getWidth())));
views.get("label3").vw.setTop((int)((views.get("label2").vw.getTop())+(views.get("label2").vw.getHeight())+(5d / 100 * height)));
views.get("label3").vw.setWidth((int)((views.get("label2").vw.getWidth())));
views.get("label2").vw.setLeft((int)((views.get("label1").vw.getLeft())));
views.get("label3").vw.setLeft((int)((views.get("label2").vw.getLeft())));

}
public static void LS_general(java.util.LinkedHashMap<String, anywheresoftware.b4a.keywords.LayoutBuilder.ViewWrapperAndAnchor> views, int width, int height, float scale) {
anywheresoftware.b4a.keywords.LayoutBuilder.setScaleRate(0.3);
anywheresoftware.b4a.keywords.LayoutBuilder.scaleAll(views);

}
}